<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Homework7</title>
</head>
<body>
    <script>
const players = [{
            name: "Ivan",
            lastName: "Ivanov",
            gender: "male",
            age: 30
        }, {
            name: "Anna",
            lastName: "Ivanova",
            gender: "female",
            age: 22
        }, {
            name: "Sergey",
            lastName: "Kobzar",
            gender: "male",
            age: 29
        }, {
            name: "Vladimir",
            lastName: "Titov",
            gender: "male",
            age: 34
        }, {
            name: "Vadim",
            lastName: "Strykalo",
            gender: "male",
            age: 34
        }];
        const coaches = [{
            name: "Oleg",
            lastName: "Kirilov",
            gender: "male",
            age: 39
        }, {
            name: "Svetlana",
            lastName: "Ivanova",
            gender: "female",
            age: 29
        }, {
            name: "Sergey",
            lastName: "Gutsul",
            gender: "male",
            age: 51
        }, {
            name: 'Valentin',
            lastName: "Strykalo",
            gender: "male",
            age: 38
        }];
    
    let uniquePlayers = excludeBy(players, coaches, 'lastName');
    console.log(uniquePlayers);

    function excludeBy(array1,array2,param) {
        let keys = array2.map(function(obj){
            return obj[param];
        });
        return array1.filter(function(obj){
            return keys.includes(obj[param]) ? false : true; 
        });
    }

    </script>
</body>
</html>